Index: trunk/build/linux/app/TAppEncoder/makefile
===================================================================
--- trunk/build/linux/app/TAppEncoder/makefile	(revision 1386)
+++ trunk/build/linux/app/TAppEncoder/makefile	(revision 1413)
@@ -57,4 +57,14 @@
 STAT_RELEASE_PREREQS	= $(LIB_DIR)/libTLibEncoder$(HBD)Static.a $(LIB_DIR)/libTLibCommon$(HBD)Static.a $(LIB_DIR)/libTLibVideoIO$(HBD)Static.a $(LIB_DIR)/libTAppCommon$(HBD)Static.a  $(LIB_DIR)/libTLibRenderer$(HBD)Static.a
 
+ifeq ($(EXTENSION_360_VIDEO), 1)
+  DYN_DEBUG_LIBS      += -lTAppEncHelper360$(HBD)d -lTLib360$(HBD)d
+  DYN_DEBUG_PREREQS   += $(LIB_DIR)/libTAppEncHelper360$(HBD)d.a $(LIB_DIR)/libTLib360$(HBD)d.a
+  STAT_DEBUG_LIBS     += -lTAppEncHelper360$(HBD)Staticd -lTLib360$(HBD)Staticd
+  STAT_DEBUG_PREREQS  += $(LIB_DIR)/libTAppEncHelper360$(HBD)Staticd.a $(LIB_DIR)/libTLib360$(HBD)Staticd.a
+  DYN_RELEASE_LIBS    += -lTAppEncHelper360$(HBD) -lTLib360$(HBD)
+  DYN_RELEASE_PREREQS += $(LIB_DIR)/libTAppEncHelper360$(HBD).a $(LIB_DIR)/libTLib360$(HBD).a
+  STAT_RELEASE_LIBS   += -lTAppEncHelper360$(HBD)Static -lTLib360$(HBD)Static
+  STAT_RELEASE_PREREQS+= $(LIB_DIR)/libTAppEncHelper360$(HBD)Static.a $(LIB_DIR)/libTLib360$(HBD)Static.a
+endif
 
 # name of the base makefile
Index: trunk/build/linux/common/makefile.base
===================================================================
--- trunk/build/linux/common/makefile.base	(revision 1386)
+++ trunk/build/linux/common/makefile.base	(revision 1413)
@@ -47,6 +47,6 @@
 
 # default cpp flags for all configurations
-#CPPFLAGS          = -Wall -fPIC $(DEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS)
-CPPFLAGS          = -fPIC $(DEFS)  $(ADDDEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS) -Wall -Wshadow -Wno-sign-compare -Werror
+#CPPFLAGS          = -Wall $(DEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS)
+CPPFLAGS          = $(DEFS) $(ADDDEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS) -Wall -Wshadow -Wno-sign-compare -Werror
 
 ########## 
@@ -61,4 +61,10 @@
 ifeq ($(HIGHBITDEPTH), 1)
 CPPFLAGS+="-DRExt__HIGH_BIT_DEPTH_SUPPORT=1"
+endif
+
+ifeq ($(EXTENSION_360_VIDEO), 1)
+  CPPFLAGS+=-DEXTENSION_360_VIDEO=1
+else
+  CPPFLAGS+=-DEXTENSION_360_VIDEO=0
 endif
 
Index: trunk/build/linux/lib/TLibDecoder/makefile
===================================================================
--- trunk/build/linux/lib/TLibDecoder/makefile	(revision 1386)
+++ trunk/build/linux/lib/TLibDecoder/makefile	(revision 1413)
@@ -51,4 +51,5 @@
 				$(OBJ_DIR)/TDecSlice.o \
 				$(OBJ_DIR)/TDecTop.o \
+				$(OBJ_DIR)/TDecConformance.o \
 
 LIBS				= -lpthread
Index: trunk/build/linux/lib/TLibDecoderAnalyser/makefile
===================================================================
--- trunk/build/linux/lib/TLibDecoderAnalyser/makefile	(revision 1386)
+++ trunk/build/linux/lib/TLibDecoderAnalyser/makefile	(revision 1413)
@@ -51,4 +51,5 @@
 				$(OBJ_DIR)/TDecSlice.o \
 				$(OBJ_DIR)/TDecTop.o \
+				$(OBJ_DIR)/TDecConformance.o \
 
 LIBS				= -lpthread
Index: trunk/build/linux/makefile
===================================================================
--- trunk/build/linux/makefile	(revision 1386)
+++ trunk/build/linux/makefile	(revision 1413)
@@ -9,4 +9,8 @@
 endif
 
+EXTENSION_360_VIDEO?=0
+export EXTENSION_360_VIDEO
+
+
 all:
 	$(MAKE) -C lib/TLibVideoIO 	MM32=$(M32) ADDDEFS=$(ADDDEFS)
@@ -17,4 +21,9 @@
 	$(MAKE) -C lib/TLibExtractor    MM32=$(M32) ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C lib/TAppCommon       MM32=$(M32) ADDDEFS=$(ADDDEFS)
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                MM32=$(M32) ; \
+	  $(MAKE) -C lib/TAppEncHelper360       MM32=$(M32) ; \
+	  $(MAKE) -C app/TApp360Convert         MM32=$(M32) ; \
+	fi
 	$(MAKE) -C app/TAppDecoder      MM32=$(M32) ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C app/TAppEncoder      MM32=$(M32) ADDDEFS=$(ADDDEFS)
@@ -34,4 +43,10 @@
 	$(MAKE) -C lib/TLibExtractor    debug MM32=$(M32) ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C lib/TAppCommon       debug MM32=$(M32) ADDDEFS=$(ADDDEFS)
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                debug MM32=$(M32) ; \
+	  $(MAKE) -C lib/TAppEncHelper360       debug MM32=$(M32) ; \
+	  $(MAKE) -C app/TApp360Convert         debug MM32=$(M32) ; \
+	fi
+
 	$(MAKE) -C app/TAppDecoder      debug MM32=$(M32) ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C app/TAppEncoder      debug MM32=$(M32) ADDDEFS=$(ADDDEFS)
@@ -51,4 +66,9 @@
 	$(MAKE) -C lib/TLibExtractor    release MM32=$(M32) ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C lib/TAppCommon       release MM32=$(M32) ADDDEFS=$(ADDDEFS)
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                release MM32=$(M32) ; \
+	  $(MAKE) -C lib/TAppEncHelper360       release MM32=$(M32) ; \
+	  $(MAKE) -C app/TApp360Convert         release MM32=$(M32) ; \
+	fi
 	$(MAKE) -C app/TAppDecoder      release MM32=$(M32) ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C app/TAppEncoder      release MM32=$(M32) ADDDEFS=$(ADDDEFS)
@@ -69,4 +89,10 @@
 
 	$(MAKE) -C lib/TAppCommon       clean MM32=$(M32)
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                  clean MM32=$(M32) ; \
+	  $(MAKE) -C lib/TAppEncHelper360         clean MM32=$(M32) ; \
+	  $(MAKE) -C app/TApp360Convert           clean MM32=$(M32) ; \
+	fi
+
 	$(MAKE) -C app/TAppDecoder      clean MM32=$(M32)
 	$(MAKE) -C app/TAppEncoder      clean MM32=$(M32)
@@ -86,4 +112,10 @@
 	$(MAKE) -C lib/TLibExtractor    MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C lib/TAppCommon       MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C lib/TAppEncHelper360       MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C app/TApp360Convert         MM32=$(M32) HIGHBITDEPTH=1 ; \
+	fi
+
 	$(MAKE) -C app/TAppDecoder      MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C app/TAppEncoder      MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
@@ -101,4 +133,9 @@
 	$(MAKE) -C lib/TLibExtractor    debug M32=$(M32)  HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C lib/TAppCommon       debug MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                debug MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C lib/TAppEncHelper360       debug MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C app/TApp360Convert         debug MM32=$(M32) HIGHBITDEPTH=1 ; \
+	fi
 	$(MAKE) -C app/TAppDecoder      debug MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C app/TAppEncoder      debug MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
@@ -116,4 +153,9 @@
 	$(MAKE) -C lib/TLibExtractor    release MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C lib/TAppCommon       release MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                release MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C lib/TAppEncHelper360       release MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C app/TApp360Convert         release MM32=$(M32) HIGHBITDEPTH=1 ; \
+	fi
 	$(MAKE) -C app/TAppDecoder      release MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
 	$(MAKE) -C app/TAppEncoder      release MM32=$(M32) HIGHBITDEPTH=1 ADDDEFS=$(ADDDEFS)
@@ -131,4 +173,9 @@
 	$(MAKE) -C lib/TLibExtractor    clean MM32=$(M32) HIGHBITDEPTH=1  
 	$(MAKE) -C lib/TAppCommon       clean MM32=$(M32) HIGHBITDEPTH=1
+	@if [ $(EXTENSION_360_VIDEO) -eq 1 ] ; then \
+	  $(MAKE) -C lib/TLib360                  clean MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C lib/TAppEncHelper360         clean MM32=$(M32) HIGHBITDEPTH=1 ; \
+	  $(MAKE) -C app/TApp360Convert           clean MM32=$(M32) HIGHBITDEPTH=1 ; \
+	fi
 	$(MAKE) -C app/TAppDecoder      clean MM32=$(M32) HIGHBITDEPTH=1
 	$(MAKE) -C app/TAppEncoder      clean MM32=$(M32) HIGHBITDEPTH=1
Index: trunk/build/vc2010/TAppDecoderAnalyser_vc2010.vcxproj
===================================================================
--- trunk/build/vc2010/TAppDecoderAnalyser_vc2010.vcxproj	(revision 1386)
+++ trunk/build/vc2010/TAppDecoderAnalyser_vc2010.vcxproj	(revision 1413)
@@ -186,5 +186,5 @@
     </ProjectReference>
     <ProjectReference Include="TLibDecoderAnalyser_vc2010.vcxproj">
-      <Project>{f8b77a48-af6c-4746-a89f-b706aba6ad94}</Project>
+      <Project>{68C1251A-55D8-47C9-9052-62F785BD437A}</Project>
       <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
     </ProjectReference>
Index: trunk/build/vc2010/TLibDecoderAnalyser_vc2010.vcxproj
===================================================================
--- trunk/build/vc2010/TLibDecoderAnalyser_vc2010.vcxproj	(revision 1386)
+++ trunk/build/vc2010/TLibDecoderAnalyser_vc2010.vcxproj	(revision 1413)
@@ -150,4 +150,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -165,4 +166,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
Index: trunk/build/vc2010/TLibDecoder_vc2010.vcxproj
===================================================================
--- trunk/build/vc2010/TLibDecoder_vc2010.vcxproj	(revision 1386)
+++ trunk/build/vc2010/TLibDecoder_vc2010.vcxproj	(revision 1413)
@@ -150,4 +150,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -165,4 +166,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
Index: trunk/build/vc2012/TAppDecoderAnalyser_vc2012.vcxproj
===================================================================
--- trunk/build/vc2012/TAppDecoderAnalyser_vc2012.vcxproj	(revision 1386)
+++ trunk/build/vc2012/TAppDecoderAnalyser_vc2012.vcxproj	(revision 1413)
@@ -190,5 +190,5 @@
     </ProjectReference>
     <ProjectReference Include="TLibDecoderAnalyser_vc2012.vcxproj">
-      <Project>{f8b77a48-af6c-4746-a89f-b706aba6ad94}</Project>
+      <Project>{68C1251A-55D8-47C9-9052-62F785BD437A}</Project>
       <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
     </ProjectReference>
Index: trunk/build/vc2012/TLibDecoderAnalyser_vc2012.vcxproj
===================================================================
--- trunk/build/vc2012/TLibDecoderAnalyser_vc2012.vcxproj	(revision 1386)
+++ trunk/build/vc2012/TLibDecoderAnalyser_vc2012.vcxproj	(revision 1413)
@@ -154,4 +154,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -169,4 +170,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
Index: trunk/build/vc2012/TLibDecoder_vc2012.vcxproj
===================================================================
--- trunk/build/vc2012/TLibDecoder_vc2012.vcxproj	(revision 1386)
+++ trunk/build/vc2012/TLibDecoder_vc2012.vcxproj	(revision 1413)
@@ -154,4 +154,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -169,4 +170,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
Index: trunk/build/vc2013/TAppDecoderAnalyser_vc2013.vcxproj
===================================================================
--- trunk/build/vc2013/TAppDecoderAnalyser_vc2013.vcxproj	(revision 1386)
+++ trunk/build/vc2013/TAppDecoderAnalyser_vc2013.vcxproj	(revision 1413)
@@ -190,5 +190,5 @@
     </ProjectReference>
     <ProjectReference Include="TLibDecoderAnalyser_vc2013.vcxproj">
-      <Project>{f8b77a48-af6c-4746-a89f-b706aba6ad94}</Project>
+      <Project>{68C1251A-55D8-47C9-9052-62F785BD437A}</Project>
       <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
     </ProjectReference>
Index: trunk/build/vc2013/TLibDecoderAnalyser_vc2013.vcxproj
===================================================================
--- trunk/build/vc2013/TLibDecoderAnalyser_vc2013.vcxproj	(revision 1386)
+++ trunk/build/vc2013/TLibDecoderAnalyser_vc2013.vcxproj	(revision 1413)
@@ -154,4 +154,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -169,4 +170,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
Index: trunk/build/vc2013/TLibDecoder_vc2013.vcxproj
===================================================================
--- trunk/build/vc2013/TLibDecoder_vc2013.vcxproj	(revision 1386)
+++ trunk/build/vc2013/TLibDecoder_vc2013.vcxproj	(revision 1413)
@@ -154,4 +154,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -169,4 +170,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
Index: trunk/build/vc2015/TAppDecoderAnalyser_vc2015.vcxproj
===================================================================
--- trunk/build/vc2015/TAppDecoderAnalyser_vc2015.vcxproj	(revision 1386)
+++ trunk/build/vc2015/TAppDecoderAnalyser_vc2015.vcxproj	(revision 1413)
@@ -191,5 +191,5 @@
     </ProjectReference>
     <ProjectReference Include="TLibDecoderAnalyser_vc2015.vcxproj">
-      <Project>{f8b77a48-af6c-4746-a89f-b706aba6ad94}</Project>
+      <Project>{68C1251A-55D8-47C9-9052-62F785BD437A}</Project>
       <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
     </ProjectReference>
Index: trunk/build/vc2015/TLibCommon_vc2015.vcxproj
===================================================================
--- trunk/build/vc2015/TLibCommon_vc2015.vcxproj	(revision 1386)
+++ trunk/build/vc2015/TLibCommon_vc2015.vcxproj	(revision 1413)
@@ -172,5 +172,7 @@
     <ClCompile Include="..\..\source\Lib\TLibCommon\TComSampleAdaptiveOffset.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibCommon\TComSlice.cpp" />
-    <ClCompile Include="..\..\source\Lib\TLibCommon\TComTrQuant.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibCommon\TComTrQuant.cpp" >
+      <AdditionalOptions Condition="'$(Configuration)|$(Platform)'=='Release|x64'">/d2Qvec-sse2only %(AdditionalOptions)</AdditionalOptions>
+    </ClCompile>
     <ClCompile Include="..\..\source\Lib\TLibCommon\TComTU.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibCommon\TComWedgelet.cpp" />
Index: trunk/build/vc2015/TLibDecoderAnalyser_vc2015.vcxproj
===================================================================
--- trunk/build/vc2015/TLibDecoderAnalyser_vc2015.vcxproj	(revision 1386)
+++ trunk/build/vc2015/TLibDecoderAnalyser_vc2015.vcxproj	(revision 1413)
@@ -155,4 +155,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -170,4 +171,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
Index: trunk/build/vc2015/TLibDecoder_vc2015.vcxproj
===================================================================
--- trunk/build/vc2015/TLibDecoder_vc2015.vcxproj	(revision 1386)
+++ trunk/build/vc2015/TLibDecoder_vc2015.vcxproj	(revision 1413)
@@ -155,4 +155,5 @@
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.cpp" />
+    <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecConformance.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecCu.cpp" />
     <ClCompile Include="..\..\source\Lib\TLibDecoder\TDecEntropy.cpp" />
@@ -170,4 +171,5 @@
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecBinCoderCABAC.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCAVLC.h" />
+    <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecConformance.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecCu.h" />
     <ClInclude Include="..\..\source\Lib\TLibDecoder\TDecEntropy.h" />
